var i,j,k,l,m;

location l0 with
(i=0
j=100
k=1000
l=10000
m=100000);

location l1;

location l2;

transition t0 l0 -> l1;

transition t1 l1 -> l1 with
Guard (i <= 999)
      i := i+1
      j := j-i
      k := k-10
      l := l-j
      m := m-1000;

transition t2 l1 -> l2 with
Guard (i >= 1000);

end
